NestedRootTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Class NestedRootTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.nested.NestedRootTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag, NestedNameSupport, NestedPropertySupport, NestedTagSupport

    public class NestedRootTag

extends BodyTagSupport
implements NestedNameSupport

NestedRootTag. The only other addition in this nested suite of tags. This tag allows for a nested structure to start without relying on the bean and workings of the FormTag. Useful for view pages that don't update when returning to the server, or use hyperlinks rather than form submits. The Bean that it uses can come out of a jsp:useBean tag or define another bean that's already in scope. As long as the other Struts tags can find the bean by name, it'll work. It's simply recognised by the helper class and it's property is added to the nesting list.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedRootTag()`

Method Summary
`int` | `doAfterBody()` Render the resulting content evaluation.
`int` | `doEndTag()` Evaluate the rest of the page
`int` | `doStartTag()` Overriding method of the heart of the tag.
`String` | `getName()` Getter method for the name property
`String` | `getProperty()` Getter method for the property property
`void` | `release()` JSP method to release all resources held by the tag.
`void` | `setName(String name)` Setter method for the name property
`void` | `setProperty(String property)` Setter method for the property property

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### NestedRootTag

    public NestedRootTag()

Method Detail

### getProperty

    public String getProperty()

  Getter method for the property property

  Specified by:
    `getProperty` in interface `NestedPropertySupport`
  Returns:
    String value of the property property

### setProperty

    public void setProperty(String property)

  Setter method for the property property

  Specified by:
    `setProperty` in interface `NestedPropertySupport`
  Parameters:
    `property` - new value for the property property

### getName

    public String getName()

  Getter method for the name property

  Specified by:
    `getName` in interface `NestedNameSupport`
  Returns:
    String value of the name property

### setName

    public void setName(String name)

  Setter method for the name property

  Specified by:
    `setName` in interface `NestedNameSupport`
  Parameters:
    `name` - new value for the name property

### doStartTag

    public int doStartTag()
                   throws JspException

  Overriding method of the heart of the tag. Gets the relative property and tells the JSP engine to evaluate its body content.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Render the resulting content evaluation.

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Overrides:
    `doAfterBody` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Evaluate the rest of the page

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException`

### release

    public void release()

  JSP method to release all resources held by the tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.